package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Adrcof;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface AdrcofMapper {

    int insert(Adrcof record);

    int updateByPrimaryKey(Adrcof record);

    int delete(String inr);

    int deleteByObjinrAndObjtyp(String inr);

    Adrcof selectDataByObjtypAndObjinr(String inr);

    int deleteByObjInrsAndObjtyp(@Param("adrlist") List<String> adrList);

    Adrcof selectFlgbyExtkey(String extkey);

}